/* $Id: command.h,v 1.7 1995/03/25 15:11:54 queinnec Exp $ */

#ifndef _COMMAND_H
#define _COMMAND_H

#include "array.h"

/*
 * prompt for readline
 * quit  the string which means a quit. NULL means an empty line.
 * (if line is shorter than quit but matches, this ok)
 */
char *getline (const char *prompt, const char *quit);

/* Command are initialized in command.c and by init_commands. */
struct command;

extern struct command *command_list;
extern struct command *command_ltrace;
extern struct command *command_title;
extern struct command *command_listall;

void init_commands (Array *namearray, Array *titlearray);

/*
 * Loop: wait for name and call the appropriate command on it.
 * quit is passed to getline above.
 */
void name_loop (const struct command *command,
                const char *quitprompt, const char *quit);

void query_loop (void);

#endif /* _COMMAND_H */

