/* $Id: readname.h,v 1.8 1996/07/11 09:09:27 queinnec Exp $ */

#ifndef _READNAME_H
#define _READNAME_H

#include "array.h"


/*
 * Read the title information in a .key file (TITLEKEY)
 * If stripyear is true, remove (19xx) information.
 * If fromyear is not 0, keep only movies made after fromyear.
 * If toyear is not 0, keep only movies made before toyear.
 * (from year is inclusive, to year is exclusive, see Dijkstra)
 * Movies whitout year information are ignored if toyear or fromyear
 * are not 0.
 */
int readname_titlekeyfile (Array *array, const char *keyfilename,
                           int stripyear,
                           unsigned int fromyear, unsigned int toyear);

/*
 * Read the name information in a .key file (NAMEKEY)
 */
int readname_namekeyfile (Array *array, const char *keyfilename);

/*
 * Read the name information in a .names file
 */
int readname_dbs (Array *array, const char *dbsstem);


Array *readname_loadtitle (const char *complfile,
                           const char *keyfile,
                           int stripyear,
                           unsigned int fromyear, unsigned int toyear);

Array *readname_loadname (const char *complfile, const char *keyfile);

#endif /* _READNAME_H */
