/* $Id: translation.h,v 1.1 1997/03/28 14:15:13 queinnec Exp $ */

/* Translation tables, and string comparisons according to them. */

#ifndef _TRANSLATION_H
#define _TRANSLATION_H

/* compare s1 to s2, using the translation table. */
int tr_strcmp (const unsigned char *s1, const unsigned char *s2,
               unsigned char table[]);

/* compare s1 to s2 up to n'th character, using the translation table. */
int tr_strncmp (const unsigned char *s1, const unsigned char *s2,
                unsigned int n, unsigned char table[]);


/* Three translation tables. */

/* "Translation" iso 8859/1 -> ascii  */
extern unsigned char translations_iso2ascii[256];

/* Conversion iso 8859 -> ascii lowercase */
extern unsigned char translations_iso2ascii_lc[256];

/* Conversion ascii -> ascii lowercase */
extern unsigned char translations_ascii2ascii_lc[256];

extern unsigned char translations_do_nothing[256];

#endif /* _TRANSLATION_H */
